/* Layout */
import Layout from '@/layout'

export default {
  path: '/businessManage',
  component: Layout,
  redirect: '/myBusiness',
  meta: {
    title: '企业管理', // 企业管理
    icon: 'myBusiness'
  },
  children: [
    {
      path: '/myBusiness',
      name: 'MyBusiness',
      component: () => import('@/views/businessManage/myBusiness/index'),
      meta: {
        title: '我的企业' // 我的企业
      }
    },
    {
      path: '/tradeRelations',
      name: 'TradeRelations',
      component: () => import('@/views/businessManage/tradeRelations/index'),
      meta: {
        title: '贸易关系企业' // 贸易关系管理
      },
      children: [
        {
          path: '/importerAdd/:id',
          name: 'ImporterAdd',
          component: () => import('@/views/businessManage/tradeRelations/importer/add'),
          hidden: true,
          meta: { title: '添加进口商', activeMenu: '/tradeRelations' }
        },
        {
          path: '/importerView/:id',
          name: 'ImporterView',
          component: () => import('@/views/businessManage/tradeRelations/importer/view'),
          hidden: true,
          meta: { title: '进口商详情', activeMenu: '/tradeRelations' }
        },
        {
          path: '/supplierAdd/:id',
          name: 'SupplierAdd',
          component: () => import('@/views/businessManage/tradeRelations/supplier/add'),
          hidden: true,
          meta: { title: '添加供应商', activeMenu: '/tradeRelations' }
        },
        {
          path: '/supplierView/:id',
          name: 'SupplierView',
          component: () => import('@/views/businessManage/tradeRelations/supplier/view'),
          hidden: true,
          meta: { title: '供应商详情', activeMenu: '/tradeRelations' }
        }
      ]
    }
  ]
}
